﻿using System;
using System.Linq;
using MbUnit.Framework;
using System.IO;

namespace DataDriven.Tests.AlternativeRollback
{
    [TestFixture]
    public class ProblemsWithRollback
    {
        [Test]
        [RollBack]
        public void InsertCategory()
        {
            NorthwindDataContext db = new NorthwindDataContext();
            int count = db.Categories.Count();
            Console.WriteLine("Count in table: " + count);

            Category c = TestHelper.InsertCategory();
            //Assert.AreEqual(1, c.CategoryID);
            Console.WriteLine(c.CategoryID);
        }
    }

    [TestFixture]
    public class ProblemsWithRollback_RESEED
    {
        //Reason why I'm executing script is incase other tests do not clean up
        //after themselves or expect the database to be empty        
        [SetUp]
        public void Setup()
        {
            NorthwindDataContext db = new NorthwindDataContext();
            //db.ExecuteCommand("TRUNCATE TABLE [Order Details]", "");
            //db.ExecuteCommand("DELETE FROM Orders", "");
            //db.ExecuteCommand("DELETE FROM Products", "");
            //db.ExecuteCommand("DELETE FROM Categories", "");
            //db.ExecuteCommand("DBCC CHECKIDENT (Orders, RESEED, 0)", "");
            //db.ExecuteCommand("DBCC CHECKIDENT (Products, RESEED, 0)", "");

            //Problem is its easy to forget what the method creates (InsertOrder also inserts a Product and Category).
            string sqlScript = new StreamReader("AlternativeRollback\\rollback.sql").ReadToEnd();
            db.ExecuteCommand(sqlScript);
        }

        [TearDown]
        public void Teardown()
        {
            NorthwindDataContext db = new NorthwindDataContext();
            //db.ExecuteCommand("TRUNCATE TABLE [Order Details]", "");
            //db.ExecuteCommand("DELETE FROM Orders", "");
            //db.ExecuteCommand("DELETE FROM Products", "");
            //db.ExecuteCommand("DELETE FROM Categories", "");
            //db.ExecuteCommand("DBCC CHECKIDENT (Orders, RESEED, 0)", "");
            //db.ExecuteCommand("DBCC CHECKIDENT (Products, RESEED, 0)", "");

            //Problem is its easy to forget what the method creates (InsertOrder also inserts a Product and Category).
            string sqlScript = new StreamReader("AlternativeRollback\\rollback.sql").ReadToEnd();
            db.ExecuteCommand(sqlScript);
        }

        [Test]
        public void InsertOrder()
        {
            NorthwindDataContext db = new NorthwindDataContext();
            int count = db.Orders.Count();
            Console.WriteLine("Count in database: " + count);

            Order o = TestHelper.InsertOrder();
            Console.WriteLine(o.OrderID);
        }
    }
}
