﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using MbUnit.Framework;
using System.Data.SqlClient;

namespace DataDriven.Tests.RestoreDatabase
{
    [TestFixture]
    [SqlRestoreInfo("Data Source=.;Initial Catalog=Master;Integrated Security=True", "Northwind", "D:\\Northwind.bak")]
    public class RestoreDatbaseTests
    {
        string connectionString = "Data Source=.;Initial Catalog=Northwind;Integrated Security=True";

        [Test]
        [RestoreDatabaseFirst]
        [RestoreDatabaseAfter]
        public void GetOrders()
        {
            //string queryString = "DELETE FROM dbo.[Order Details];";  //If we execute this in the first run the table is empty. 
            string queryString = "SELECT * FROM dbo.[Order Details];";
            string queryString2 = "SELECT * FROM dbo.[Order Details];"; //If we execute this in the second run, the data is restored.
            using (SqlConnection connection = new SqlConnection(connectionString))
            {
                SqlCommand command = new SqlCommand(queryString, connection);
                SqlCommand command2 = new SqlCommand(queryString2, connection);
                connection.Open();
                command.ExecuteNonQuery();
                SqlDataReader reader = command.ExecuteReader();
                try
                {
                    while (reader.Read())
                    {
                        Console.WriteLine(String.Format("{0}, {1}",
                            reader[0], reader[1]));
                    }
                }
                finally
                {
                    // Always call Close when done reading.
                    reader.Close();
                }
            }
        }
    }

    public class RestoreDatabaseAfterAttribute : RestoreDatabaseAttribute
    {
        public RestoreDatabaseAfterAttribute() : base(TestSchedule.AfterTest)
        {}
    }
}
