﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using MbUnit.Framework;

namespace DataDriven.Tests.TestSuiteTests
{
    [TestSuiteFixture]
    public class TestSuiteTests
    {
        [TestSuite]
        public ITestSuite Suite()
        {
            TestSuite suite = new TestSuite("NewSimpleSuite");

            for (int i = 0; i < 10; i++)
            {
                suite.Add("MethodUnderTest" + i, new TestDelegate(this.MethodUnderTest), "Parameter" + i);
                suite.Add("AnotherMethodUnderTest" + i, new TestDelegate(this.AnotherMethodUnderTest), "Parameter" + i);
            }

            return suite;
        }

        [TestSuite]
        public ITestSuite ExpectedExceptionSuite()
        {
            TestSuite suite = new TestSuite("ExpectedExceptionSuite");

            ITestCase tc = TestCases.Case("Verfiy that tests throw", new TestDelegate(this.ThrowMe), "hello");
            ITestCase etc = TestCases.ExpectedException(tc, typeof(Exception));
            suite.Add(etc);
            return suite;
        }

        public Object MethodUnderTest(object testData)
        {
            Console.WriteLine("MethodUnderTest Executed");
            StringAssert.Contains(testData.ToString(), "Parameter");
            return null;
        }

        public Object AnotherMethodUnderTest(object testData)
        {
            Console.WriteLine("AnotherTest");
            string testDataString = testData.ToString();

            int testExecution = Convert.ToInt32(testDataString[testDataString.Length -1].ToString());
            Assert.Between(testExecution, 0, 5);

            return null;
        }

        public object ThrowMe(Object context)
        {
            throw new ArgumentNullException();
        }
    }
}
