﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using MbUnit.Framework;

namespace Framework.Tests
{
    [TestFixture]
    public class FizzBuzzTests
    {
        private FizzBuzz fizzBuzz;

        [SetUp]
        public void Setup()
        {
            fizzBuzz = new FizzBuzz();
        }

        [TearDown]
        public void Teardown()
        {
            fizzBuzz = null;
        }

        [Test]
        public void Evaluate_1_1()
        {
            string result = fizzBuzz.Evaluate(1);
            Assert.AreEqual("1", result);
        }

        [Test]
        public void Evaluate_2_2()
        {
            string result = fizzBuzz.Evaluate(2);
            Assert.AreEqual("2", result);
        }

        [Test]
        public void Evaluate_3_Fizz()
        {
            string result = fizzBuzz.Evaluate(3);
            Assert.AreEqual("Fizz", result);
        }

        [Test]
        public void Evaluate_5_Buzz()
        {
            string result = fizzBuzz.Evaluate(5);
            Assert.AreEqual("Buzz", result);
        }

        [Test]
        public void Evaluate_15_FizzBuzz()
        {
            string result = fizzBuzz.Evaluate(15);
            Assert.AreEqual("FizzBuzz", result);
        }

        //To much duplication!!
        private void TestFizzBuzz(int input, string expected)
        {
            string result = fizzBuzz.Evaluate(input);
            Assert.AreEqual(expected, result);
        }

        [Test]
        public void Evaluate_30_FizzBuzz()
        {
            TestFizzBuzz(30, "FizzBuzz");
        }

        [Test]
        public void Evaluate_31_FizzBuzz()
        {
            TestFizzBuzz(31, "31");
        }
    }
}
