﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using MbUnit.Framework;
using System.IO;

namespace Fundamentals.Tests.Assertions
{
    [TestFixture]
    public class AssertFail
    {
        [Test]
        public void Write_WithString_FileCreatedOnDisk()
        {
            string path = Path.GetRandomFileName();
            Logger log = new Logger(path);
            log.Write("Hello NxtGenUG");

            if (!System.IO.File.Exists(path))
                Assert.Fail("File does not exist. File {0}", path);
        }

        [Test]
        public void Write_EmptyString_FileNotCreatedOnDisk()
        {
            string path = Path.GetRandomFileName();
            Logger log = new Logger(path);
            log.Write(string.Empty);

            if (System.IO.File.Exists(path))
                Assert.Fail("File does not exist. File {0}", path);
        }
    }
}
