﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using MbUnit.Framework;

namespace Fundamentals.Tests.Assertions
{
    [TestFixture]
    public class AssertIgnore
    {
        [Test]
        public void MyUnfinishedMethod_ValidCustomer_ReturnAllOrders()
        {
            Assert.Ignore("Method has been finished, complete once done.");
        }
    }

    [TestFixture]
    public class AssertIgnoreSetup
    {
        [SetUp]
        public void TestSetup()
        {
            if(!DatabaseConnection.DatabaseAvailable())
                Assert.Ignore("Database unavailable");

            if (!DatabaseConnection.NetworkAvailable())
                Assert.Ignore("Network unavailable");
        }

        [Test]
        public void Pass()
        {
            Assert.IsTrue(true);
        }

        [Test]
        public void Pass2()
        {
            Assert.IsTrue(true);
        }

        [Test]
        public void Pass3()
        {
            Assert.IsTrue(true);
        }

        [Test]
        public void Pass4()
        {
            Assert.IsTrue(true);
        }

        [Test]
        public void Pass5()
        {
            Assert.IsTrue(true);
        }
    }
}
