﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using MbUnit.Framework;
using System.Collections;

namespace Fundamentals.Tests.Assertions
{
    [TestFixture]
    public class AssertTests
    {
        [Test]
        public void Between()
        {
            int valueBeingTested = 50;
            Assert.Between(valueBeingTested, 0, 100);
        }

        [Test]
        public void NotBetween()
        {
            int valueBeingTested = 150;
            Assert.NotBetween(valueBeingTested, 0, 100);
        }

        [Test]
        public void LowerThan()
        {
            int valueBeingTested = 50;
            //valueBeingTested < 100
            Assert.LowerThan(valueBeingTested, 100);

            //valueBeingTested <= 100
            Assert.LowerEqualThan(valueBeingTested, 50);
        }

        [Test]
        public void GreaterThan()
        {
            int valueBeingTested = 150;
            //valueBeingTested > 100
            Assert.GreaterThan(valueBeingTested, 100);

            //valueBeingTested >= 100
            Assert.GreaterEqualThan(valueBeingTested, 150);
        }

        [Test]
        public void In()
        {
            string test = "test";

            ArrayList list = new ArrayList();
            list.Add(test);
            list.Add("test2");
            list.Add("OtherValue");
            list.Add("OtherValues");

            Assert.In(test, list);
        }
        
        [Test]
        public void IsEmpty()
        {
            Assert.IsEmpty(new int[] {});
        }

        [Test]
        public void IsEmptyFailsOnNonEmptyArray()
        {
            Assert.IsEmpty(new int[] { 1, 2, 3 });
        }

        //Even more...
    }
}
