﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using MbUnit.Framework;
using System.IO;

namespace Fundamentals.Tests.Assertions
{
    [TestFixture]
    public class FileAssertTests
    {
        [Test]
        public void Exists()
        {
            string path = Path.GetTempFileName();
            FileAssert.Exists(path);
        }

        [Test]
        public void NotExists()
        {
            string path = Path.GetRandomFileName();
            FileAssert.NotExists(path);
        }

        [Test]
        public void CreateFile_WithString_FileCreatedOnDisk()
        {
            string path = Path.GetRandomFileName();
            Logger log = new Logger(path);
            log.Write("Hello NxtGenUG");

            FileAssert.Exists(path);
        }

        [Test]
        public void CreateFile_EmptyString_FileNotCreatedOnDisk()
        {
            string path = Path.GetRandomFileName();
            Logger log = new Logger(path);
            log.Write("");

            FileAssert.NotExists(path);
        }
    }
}
