﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using MbUnit.Framework;

// Must be run during a single execution to depend on each other.
namespace Fundamentals.Tests.DependsOnTests
{
    [TestFixture]
    [FixtureCategory("DependsOn")]
    public class MyFirstTestFixture
    {
        [Test]
        public void Passing()
        {
            Assert.IsTrue(true);
        }
    }

    [TestFixture]
    [FixtureCategory("DependsOn")]
    public class DatabaseTestsFixture
    {
        [Test]
        public void Failing()
        {
            Assert.IsTrue(false);
        }
    }

    [TestFixture]
    [FixtureCategory("DependsOn")]
    [DependsOn(typeof(MyFirstTestFixture))]
    [DependsOn(typeof(DatabaseTestsFixture))]
    public class AdditionalTests
    {
        [Test]
        public void Passing()
        {
            Assert.IsTrue(true);
        }
    }

    [TestFixture]
    [FixtureCategory("DependsOn")]
    [DependsOn(typeof(AdditionalTests))]
    public class MoreAdditionalTests
    {
        [Test]
        public void Passing()
        {
            Assert.IsTrue(true);
        }
    }
}
