﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using MbUnit.Framework;
using System.Threading;

namespace Fundamentals.Tests.Attributes
{
    [TestFixture]
    public class DurationAndRepeatTests
    {
        [Test]
        [Duration(0, 1)]
        public void RunTestFor2Seconds()
        {
            Thread.Sleep(2000);
        }

        [Test]
        [Duration(1, 2)]
        public void RunTestFor1Seconds()
        {
            Thread.Sleep(1500);
        }

        [Test]
        [Repeat(10)]
        public void PrintOutDateTimeConsole()
        {
            Console.WriteLine(DateTime.Now);
        }

        private int i = 0;

        [Test]
        [Repeat(10)]
        public void OneFail_FailsAll()
        {
            Console.WriteLine(DateTime.Now);
            i++;
            if(i == 5)
                Assert.Fail("Random");
        }
    }
}
